> ## Name

> cgGetIntAnnotationValues - get an integer-valued annotation's values

> ## Synopsis

>     #include <Cg/cg.h>

>     const int * cgGetIntAnnotationValues( CGannotation ann,
>                                           int * nvalues );

> ## Parameters

> ann
>   The annotation from which the values will be retrieved.
> nvalues
>   Pointer to integer where the number of returned values will be stored.

> ## Return Values

> Returns a pointer to an array of int values. The number of values in the array is returned via the nvalues parameter.

> Returns NULL if no values are available. nvalues will be 0.

> ## Description

> cgGetIntAnnotationValues allows the application to retrieve the value(s) of an int typed annotation.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_ANNOTATION_HANDLE_ERROR is generated if ann is not a valid annotation.

> CG_INVALID_PARAMETER_ERROR is generated if nvalues is NULL.

> ## History

> cgGetIntAnnotationValues was introduced in Cg 1.4.

> ## See Also

> cgGetAnnotationType, cgGetFloatAnnotationValues, cgGetStringAnnotationValue, cgGetBoolAnnotationValues